.corner {
  position: absolute;
  pointer-events: none;
  z-index: 5;
  width: var(--corner-radius-mob);
  height: var(--corner-radius-mob);
  max-width: 100%;
  transform: translateZ(0);
  backface-visibility: hidden;
}
@media (min-width: 768px) {
  .corner {
    width: var(--corner-radius-desk);
    height: var(--corner-radius-desk);
  }
}
.corner svg {
  display: block;
  width: 100%;
  height: 100%;
}
.corner--bottom-left {
  bottom: 0;
  left: 0;
  transform: rotate(0deg);
}
.corner--top-left {
  top: 0;
  left: 0;
  transform: rotate(90deg);
}
.corner--top-right {
  top: 0;
  right: 0;
  transform: rotate(180deg);
}
.corner--bottom-right {
  bottom: 0;
  right: 0;
  transform: rotate(270deg);
}
.corner--display-desktop-only {
  display: none;
}
@media (min-width: 768px) {
  .corner--display-desktop-only {
    display: block;
  }
}
.corner--display-always {
  display: block;
}
.corner--display-mobile-only {
  display: block;
}
@media (min-width: 768px) {
  .corner--display-mobile-only {
    display: none;
  }
}

body.rtl .corner--top-left {
  left: auto;
  right: 0;
  transform: rotate(180deg);
}
body.rtl .corner--top-right {
  right: auto;
  left: 0;
  transform: rotate(90deg);
}
body.rtl .corner--bottom-left {
  left: auto;
  right: 0;
  transform: rotate(270deg);
}
body.rtl .corner--bottom-right {
  right: auto;
  left: 0;
  transform: rotate(0deg);
}
